请问现在是否支持代理,我用nginx做代理之后,就报连接超时。

陆军 发布于 2012/01/18 09:24
阅读 734
收藏 0
请问现在是否支持代理,我用nginx做代理之后,就报连接超时。。
error msg fragment :
2-01-17 17:00:15,583 --ERROR-- (ExceptionResolver.java:25) [- ExceptionResolver resolved the Error -]
org.brickred.socialauth.exception.SocialAuthException: java.net.ConnectException: 连接超时

at org.brickred.socialauth.util.HttpUtil.doHttpRequest(HttpUtil.java:124)

nginx config fragment:

location / {

      root   html;

      index  index.html index.htm;

      proxy_pass                  http://tomcat;

      proxy_redirect              off;

      proxy_set_header            Host $host;

      proxy_set_header            X-Real-IP $remote_addr;

      proxy_set_header            X-Forwarded-For $proxy_add_x_forwarded_for;

      client_max_body_size        10m;

      client_body_buffer_size     128k;

      proxy_connect_timeout       90;

      proxy_send_timeout          90;

      proxy_read_timeout          90;

      proxy_buffer_size           8k;

      proxy_buffers               4 32k;

      proxy_busy_buffers_size     64k;  #如果系统很忙的时候可以申请更大的proxy_buffers 官方推荐*2

      proxy_temp_file_write_size  64k;  #proxy缓存临时文件的大小

    }

加载中
0
红薯
红薯
SocialAuth 是不支持代理的,但跟你这个配置没任何关系。
0
红薯
红薯
一般在国内使用 google 方式登录经常会有这种错误,不是 nginx 的问题,是围墙的问题
返回顶部
顶部